# Package com.mckoi.database.sql

These classes parse SQL statements in Mckoi. The SQL syntax is defined in the file SQL.jj and compiled by JavaCC into the SQL class.

Interface Summary
SQLConstants

Class Summary
SimpleCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
SQL
SQLTokenManager
Token: Describes the input token stream.
Util: Various utility methods for the iterpreter.

Exception Summary
ParseException: This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError